Thursday, September 13, 2012

Workaround for the bug in the Windows SDK Configuration Tool

If you have two versions of Windows SDK and you are trying to switch current version with the Windows SDK Configuration Tool, you can receive the following error:

Your system does not have Visual Studio 2005 or Visual Studio 2008 installed

I got this error, but in fact had Visual Studio 2008 Pro installed. It appears, when I trying to make fresh Windows SDK 7.1 as current, instead of Windows SDK 6.0. It is the Microsoft's bug, but there are very simple solution. Just call the following command from the command line:

windowssdkver -version:v7.1

windowssdkver.exe can be found at c:\Program Files\Microsoft SDKs\Windows\v7.1\Setup\

No comments: